PGADMIN3(1)

NAME
pgadmin3 - graphical administration tool for PostgreSQL

SYNOPSIS
pgadmin3 [-h] [-s str] [-S] [-Sc str] [-q] [-qc str] [-f str] [-cm str] [-ch str] [-cp str] [-c str] [-t]

DESCRIPTION
pgAdmin III is a database design and management application for use with PostgreSQL. The application can be used to manage PostgreSQL 7.3 and above running on any platform.

pgAdmin III is designed to answer the needs of all users, from writing simple SQL queries to developing complex databases. The graphical interface supports all PostgreSQL features and makes administration easy. The application also includes a syntax highlighting SQL editor, a server-side code editor, an SQL/batch/shell job scheduling agent, support for the Slony-I replication engine and much more. Server connection may be made using TCP/IP or Unix Domain Sockets (on *nix platforms), and may be SSL encrypted for security. No additional drivers are required to communicate with the database server.

OPTIONS

-h, --help
    show this help message

-s, --server=str
    auto-connect to specified server

-S, --serverstatus
    open server status window

-Sc, --serverstatusconnect=str
    connect server status window to database

-q, --query
    open query tool

-qc, --queryconnect=str
    connect query tool to database

-f, --file=str
    file to load into the query tool in -q or -qc mode

-cm:str
    edit main configuration file

-ch:str
    edit HBA configuration file

-cp:str
    edit pgpass configuration file

-c:str
    edit configuration files in cluster directory

-t  dialog translation test mode

AUTHOR
This manual page was written by Christoph Berg <myon@debian.org> for the Debian project (but may be used by others).